Extending Qt Creator Manual | ClangParser

Extending Qt Creator Manual 4.5.2

# ClangParser Class

(ProjectExplorer::ClangParser)

Inherits: | ProjectExplorer::GccParser

- List of all members, including inherited members

## Public Functions

| ClangParser()

## Reimplemented Public Functions

virtual void | stdError(const QString &line)

- 2 public functions inherited from ProjectExplorer::GccParser
- 9 public functions inherited from ProjectExplorer::IOutputParser

## Static Public Members

Core::Id | id()

- 1 static public member inherited from ProjectExplorer::GccParser
- 1 static public member inherited from ProjectExplorer::IOutputParser

### Additional Inherited Members

- 2 public slots inherited from ProjectExplorer::IOutputParser
- 2 signals inherited from ProjectExplorer::IOutputParser
- 3 protected functions inherited from ProjectExplorer::GccParser

## Member Function Documentation

### ClangParser::ClangParser()

Default constructs an instance of ClangParser.

### `[static]` Core::Id ClangParser::id()

### `[virtual]` void ClangParser::stdError(const QString &line)